# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
# %%version is ahead of its definition. Predefining for rpm 4.0 compatibility.
%define version 3.2.0
%define _disable_ld_no_undefined	%nil

%define url_ver	%(echo %{version}|cut -d. -f1,2)

Name:		gedit-cossa
Version:	3.2.0
Release:	alt1_6
Summary:	gedit plugin for GTK+ themes previewing
Group:		Editors
License:	GPLv2+
URL:		http://projects.gnome.org/gedit
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
Patch0:		gedit-cossa-3.2.0-link.patch
BuildRequires:	intltool
BuildRequires:	pkgconfig(cairo)
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.2
BuildRequires:	pkgconfig(gedit) >= 3.0
BuildRequires:	gnome-common
BuildRequires:	gettext-tools libasprintf-devel
Requires:	gedit
Source44: import.info

%description
gedit-cossa is a CSS previewer for GTK+ themes, integrating with gedit so the
edited CSS is promptly visible in the various samples. gedit-cossa may be easily
extended with more samples and allows zooming these to help get the tiny details
right.

%prep
%setup -q
%patch0 -p1

%build
%configure --disable-static
%make V=1

%install
%makeinstall_std

%find_lang %{name}

#we don't want these
find %{buildroot} -name "*.la" -delete

%files -f %{name}.lang
%doc README NEWS COPYING
%{_bindir}/*
%{_libdir}/gedit/plugins/*
%dir %{_datadir}/gedit/plugins/cossa
%{_datadir}/gedit/plugins/cossa/*


%changelog
* Sun Mar 18 2018 Igor Vlasenko <viy@altlinux.ru> 3.2.0-alt1_6
- new version

